/* This file is part of the Views Template Library, written by
 * Gary Powell & Martin Weiser
 *
 * Copyright (c) 1999  Gary Powell
 * Copyright (c) 1999  Konrad Zuse Zentrum fuer Informationstechnik Berlin
 *
 * This material is provided "as is", with absolutely no warranty expressed
 * or implied. Any use is at your own risk.
 *
 * Permission to use or copy this software for any purpose is hereby granted 
 * without fee, provided the above notices are retained on all copies.
 * Permission to modify the code and to distribute modified code is granted,
 * provided the above notices are retained, and a notice that the code was
 * modified is included with the above copyright notice.
 */
#if !defined(_STL_FWDITERATOR_HPP)
#define _STL_FWDITERATOR_HPP	1

#if !defined(_VIEW_CONFIG_HPP)
#include "view_config.hpp"
#endif

#if !defined (USE_FORWARD_DECLARATIONS_OF_STD_ITERATOR)

#if !defined(_SYS_LIBRARY_ITERATOR_)
#include <iterator>
#define _SYS_LIBRARY_ITERATOR_
#endif // _SYS_LIBRARY_ITERATOR_

#else

// Forward declarations
// Note: These are declared so you are not required to have
//       multiple includes if you are not using some portion of these
//       functors. 
namespace std {

template <class T>
struct iterator_traits;	// from <iterator>
};

#endif // USE_FORWARD_DECLARATIONS_OF_STD_ITERATOR


#endif // _STL_FWDITERATOR_HPP